com.verisign.epp.codec.registry.v01

## Class EPPRegistryZoneName

- java.lang.Object
- - com.verisign.epp.codec.registry.v01.EPPRegistryZoneName

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryZoneName
      extends java.lang.Object
      implements EPPCodecComponent

  The zone name is an element that includes an optional "form" attribute that defines the form of the zone name as either "aLabel" or "uLabel", with the default value of "aLabel". The "aLabel" form of a zone name contains all ASCII name labels that conform to [RFC0952] and [RFC1123]. The "uLabel" form of a zone name that includes one or more non-ASCII name labels that can be represented as ASCII labels using [RFC5890].
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPRegistryZoneName.Form` Possible values for the `form` attribute.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_FORM` XML attribute name for the `form` attribute.
    `static java.lang.String` | `ELM_ZONE` Optional XML Element Name of `name` attribute.
    `static java.lang.String` | `ELM_ZONE_NAME` Default XML Element Name for `name` attribute.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryZoneName()` Default constructor.
    `EPPRegistryZoneName(java.lang.String aName)` Construct `EPPRegistryZoneName` with name using the default root label of `ELM_ZONE_NAME` and the default form of `EPPRegistryZoneName.Form.aLabel`.
    `EPPRegistryZoneName(java.lang.String aName, EPPRegistryZoneName.Form aForm)` Construct `EPPRegistryZoneName` with name and form using the default root label of `ELM_ZONE_NAME`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryZone`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryZone` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryZone` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryZone` compare.
    `EPPRegistryZoneName.Form` | `getForm()` Gets the form of the zone name.
    `java.lang.String` | `getName()` Gets the name of the zone.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getRootName()` Gets the root element local name, which should be either `ELM_ZONE_NAME` or `ELM_ZONE`.
    `void` | `setForm(EPPRegistryZoneName.Form aForm)` Sets the form of the zone name.
    `void` | `setName(java.lang.String aName)` Sets the name of the zone.
    `void` | `setRootName(java.lang.String aRootName)` Sets the root element local name, which should be either `ELM_ZONE_NAME` or `ELM_ZONE`.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_ZONE_NAME

          public static final java.lang.String ELM_ZONE_NAME

      Default XML Element Name for `name` attribute.
      See Also:
        Constant Field Values

    - #### ELM_ZONE

          public static final java.lang.String ELM_ZONE

      Optional XML Element Name of `name` attribute.
      See Also:
        Constant Field Values

    - #### ATTR_FORM

          public static final java.lang.String ATTR_FORM

      XML attribute name for the `form` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryZoneName

          public EPPRegistryZoneName()

      Default constructor. Attributes are set to:
      - `elmRootLocalName` - `ELM_ZONE_NAME`
      - `name` - null
      - form{ - {@link Form#aLabel}
      Use {@link #setName(String)} before calling {@link #encode(Document)}

    - #### EPPRegistryZoneName

          public EPPRegistryZoneName(java.lang.String aName)

      Construct `EPPRegistryZoneName` with name using the default root label of `ELM_ZONE_NAME` and the default form of `EPPRegistryZoneName.Form.aLabel`.
      Parameters:
        `aName` - fully qualified name of zone object

    - #### EPPRegistryZoneName

          public EPPRegistryZoneName(java.lang.String aName,
                                     EPPRegistryZoneName.Form aForm)

      Construct `EPPRegistryZoneName` with name and form using the default root label of `ELM_ZONE_NAME`.
      Parameters:
        `aName` - fully qualified name of zone object
        `aForm` - The form of the zone name as either `EPPRegistryZoneName.Form.aLabel` or `EPPRegistryZoneName.Form.uLabel`,

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryZone` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryZone` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryZone` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryZone` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryZone` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryZone` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryZone` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryZone`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryZone`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getRootName

          public java.lang.String getRootName()

      Gets the root element local name, which should be either `ELM_ZONE_NAME` or `ELM_ZONE`.
      Returns:
        `ELM_ZONE_NAME` or `ELM_ZONE`

    - #### setRootName

          public void setRootName(java.lang.String aRootName)

      Sets the root element local name, which should be either `ELM_ZONE_NAME` or `ELM_ZONE`.
      Parameters:
        `aRootName` - `ELM_ZONE_NAME` or `ELM_ZONE`

    - #### getName

          public java.lang.String getName()

      Gets the name of the zone.
      Returns:
        fully qualified name of the zone object

    - #### setName

          public void setName(java.lang.String aName)

      Sets the name of the zone.
      Parameters:
        `aName` - fully qualified name of the zone object

    - #### getForm

          public EPPRegistryZoneName.Form getForm()

      Gets the form of the zone name.
      Returns:
        Form of the zone name with the default of `EPPRegistryZoneName.Form.aLabel`.

    - #### setForm

          public void setForm(EPPRegistryZoneName.Form aForm)

      Sets the form of the zone name.
      Parameters:
        `aForm` - Form of the zone name.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.